<?php
require'f_descarcari.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Combina fișier '.$pnume;
require'f_sus.php';
if($page==1)
{
$idnou=$_GET['idnou']??0;
if($conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`id`="'.$idnou.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Fișierul cu identitatea <strong>'.$idnou.'</strong> nu a fost găsit în baza de date!<br />Scrie ID-ul cu atenție!'.$div[0];
elseif($conn->query('UPDATE`descarcari_fisiere`SET`id_nou`="'.$idnou.'",`vizibil`="'.($_GET['vizibil']??1).'",`link`="",`dimensiune`="0",`validd`="1",`durata`="0",`rata`="0",`descriere`="",`vizualizari`="0",`descarcari`="0",`pret_com`="0",`pret_rate`="0"WHERE`id`="'.$pid.'"'))
{
$conn->query('UPDATE`descarcari_aprecieri`SET`pid`="'.$idnou.'"WHERE`pid`="'.$pid.'"');
$conn->query('UPDATE`descarcari_comentarii`SET`pid`="'.$idnou.'"WHERE`pid`="'.$pid.'"');
$conn->query('UPDATE`descarcari_fisiere`SET`vizualizari`=vizualizari+'.$pinfo[6].' ,`descarcari`=descarcari+'.$pinfo[7].' WHERE`id`="'.$idnou.'"');
$conn->query('UPDATE`descarcari_note`SET`pid`="'.$idnou.'"WHERE`pid`="'.$pid.'"');
$conn->query('DELETE FROM`descarcari_aprecieri`WHERE`pid`="'.$pid.'"');
$conn->query('DELETE FROM`descarcari_comentarii`WHERE`pid`="'.$pid.'"');
$conn->query('DELETE FROM`descarcari_note`WHERE`pid`="'.$pid.'"');
$conn->query('UPDATE`melodia_zilei`SET`id1`="'.$idnou.'"WHERE`id1`="'.$pid.'"');
$conn->query('UPDATE`melodia_zilei`SET`id2`="'.$idnou.'"WHERE`id2`="'.$pid.'"');
$conn->query('UPDATE`melodia_zilei`SET`id4`="'.$idnou.'"WHERE`id4`="'.$pid.'"');
$conn->query('UPDATE`melodia_zilei`SET`id5`="'.$idnou.'"WHERE`id5`="'.$pid.'"');
$conn->query('UPDATE`membrii`SET`melodie_favorita`="'.$idnou.'"WHERE`melodie_favorita`="'.$pid.'"');
require'f_sterg.php';
actualizeaza_text('fisier/id/'.$pid.'-','fisier/id/'.$idnou.'-');
$id_nou=$conn->query('SELECT`de`,`fid`,`nume`FROM`descarcari_fisiere`WHERE`id`="'.$idnou.'"')->fetch_row();
$album_nou=$conn->query('SELECT`nume`FROM`descarcari_albume`WHERE`id`="'.$id_nou[1].'"')->fetch_row()[0];
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a combinat în baza de date intrările fișierului [b]'.$pinfo[3].'[/b], cu identitatea [b]'.$pid.'[/b], din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]; cu intrările fișierului [url=/fisier/id/'.$idnou.'-'.seo($id_nou[2]).']'.$id_nou[2].'[/url], cu identitatea [b]'.$idnou.'[/b], din albumul [url=/descarcari/album/'.$id_nou[1].'-'.seo($album_nou).']'.$album_nou.'[/url]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$id_nou[0])
{
require'f_notificare.php';
notificare('am combinat în baza de date intrările fișierului [b]'.$pinfo[3].'[/b], cu identitatea [b]'.$pid.'[/b], din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]; cu intrările fișierului [url=/fisier/id/'.$idnou.'-'.seo($id_nou[2]).']'.$id_nou[2].'[/url], cu identitatea [b]'.$idnou.'[/b], din albumul [url=/descarcari/album/'.$id_nou[1].'-'.seo($album_nou).']'.$album_nou.'[/url]',$id_nou[0],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Au fost combinate intrările fișierului <strong>'.$pnume.'</strong>, cu identitatea <strong>'.$pid.'</strong>, din albumul <a href="/descarcari/album/'.$fid.'-'.seo($finfo[2]).'">'.$fnume.'</a>; cu intrările fișierului <a href="/fisier/id/'.$idnou.'-'.seo($id_nou[2]).'">'.htmlspecialchars($id_nou[2]).'</a>, cu identitatea <strong>'.$idnou.'</strong>, din albumul <a href="/descarcari/album/'.$id_nou[1].'-'.seo($album_nou).'">'.htmlspecialchars($album_nou).'</a>';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0];
}
else
{
echo$div[4].'Combină fișier '.$pnume.$div[5].$div[10].'Prin acest meniu faci ca fișierul '.$pnume.' să fie redirecționat către un alt fișier, iar activitățiile pe care le are pe site să fie combinate cu acel fișier!<br />Se recomandă folosirea acestui meniu doar dacă se dorește combinarea unui fișier cu același conținut, sau cu o versiune mai îmbunătățită!<br />Se recomandă folosirea acestui meniu și în cazul în care un fișier este adăugat într-un album de selecții, dar a cărui eliminare nu se dorește!'.$div[0];
$form[0]=$_SERVER['REQUEST_URI'].'/pagina/1" method="get';
$form[1]=0;
require'f_scris3.php';
$form[2]=$div[1].'ID-ul cu care vrei sa le combini:<br />(ATENȚIE! Seteaza un ID care este în baza de date!)<br /><input name="idnou" maxlength="11" />'.$div[0].$div[1].'Fișierul vechi să rămână afișat în albumul în care este adăugat?<br />'.scris3('vizibil','1,,Să fie afișat, deoarece se află într-un album cu selecții::0,,Să fie ascuns, deoarece nu este utilă afișarea în acel album',1).$div[0];
$form[3]='idnou::vizibil';
$form[4]='Combina';
require'f_form.php';
}
require'f_jos.php';